%{
/* LEXIKALNY ANALYZATOR - vstup pre LEX	*/
/*   sucast programu kalkulacka pracujuca	*/
/*   s celymi a realnymi cislami 		*/

extern YYSTYPE yylval;
int yywrap(void),yylex(void);
%}
REAL ([0-9]+"."[0-9]*)|([0-9]*"."[0-9]+)|([0-9]+) 
INT  [0-9]+
%%
[ \t]+	;
"+"	{return PLUS;}
"-"	{return MINUS;}
"*"	{return KRAT;}
"/"	{return DELENE;}
"("	{return LZAT;}
")"	{return PZAT;}
\n	{return CR;}
{INT}	{sscanf(yytext,"%d",&yylval.ihod);return ICISLO;}
{REAL}	{sscanf(yytext,"%lf",&yylval.rhod);return RCISLO;}
.	{printf("Nedovoleny znak %c (%x)\n",yytext[0],yytext[0]);}
%%
int yywrap(){return(1);}


