<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:p="http://kpi.fei.tuke.sk/practices"
    xmlns:h='http://www.w3.org/1999/xhtml'
                version="1.0">
    
    <xsl:import href="transform.xsl"/>
 
    <xsl:template name="title">
            Zoznam všetkých matematických vzorcov
    </xsl:template>
    
    <!-- ============================ content ========================= -->
    <xsl:template match="p:module" mode="loop">
        <xsl:param name="moduleNumber"/>
        <xsl:if test="count(.//p:math) > 0">
            <div class="content">
                <xsl:value-of select="$moduleNumber"/>. <xsl:apply-templates select="p:title"/>
            </div>
        </xsl:if>
        
        <xsl:if test="count(.//p:math) > 0">
            <div class="subheading">Vzorce:
            </div>
            <ol>
                <xsl:apply-templates select=".//p:math"/>
            </ol>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
