<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
xmlns:h="http://www.w3.org/1999/xhtml">

    <xsl:import href="xslt/page.xsl"/>
    
    <xsl:output method="html"/>
                    
    <!-- ============================ root element ========================= -->
    <xsl:template match="/">
        <xsl:call-template name="page"/>
    </xsl:template>
    
    <!-- ===================== copy all html elements ====================== -->
    <xsl:template match="h:*">
        <xsl:element name="{local-name(.)}">
            <xsl:apply-templates select="@*|node()"/>
         </xsl:element>
    </xsl:template>
    
    <xsl:template match="@*|text()">
        <xsl:copy/>
    </xsl:template>
</xsl:stylesheet>
