<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:p="http://kpi.fei.tuke.sk/practices"
    xmlns:h='http://www.w3.org/1999/xhtml'
                version="1.0">
    
    <xsl:import href="transform.xsl"/>

    <!-- ============================ title ========================= -->
    <xsl:template name="title">
            Zoznam všetkých cieľov
    </xsl:template>
    
    <!-- ============================ content ========================= -->
    <xsl:template match="p:module" mode="loop">
        <xsl:param name="moduleNumber"/>
        <xsl:if test="count(p:step/p:task) > 0 or count(p:additional/p:task) > 0">
            <div class="content">
                <xsl:value-of select="$moduleNumber"/>. <xsl:apply-templates select="p:title"/>
            </div>
        </xsl:if>
        
        <xsl:if test="count(p:objective) > 0">
            <ol>
                <xsl:apply-templates select="p:objective"/>
            </ol>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>
