<?xml version="1.0" encoding="windows-1250"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
                xmlns:p="http://kpi.fei.tuke.sk/practices">
    
    <xsl:import href="header_title.xsl"/>
    <xsl:import href="header_menu.xsl"/>
    
    <xsl:template match="/" name="page_header">
        <div style="width:1023px; margin: 0px auto;">
            
            <xsl:call-template name="prvyFarebnyRiadok"/>
            
            <xsl:call-template name="horizontalnaMedzera"/>
            
            <xsl:call-template name="druhyFarebnyRiadok"/>
            
            <xsl:call-template name="horizontalnaMedzera"/>
            
            <xsl:call-template name="tretiFarebnyRiadok"/>
            
        </div>
        <br/>
        <div class="page_header">
             
            <!--<xsl:call-template name="header_menu"/>-->
                    
        </div>
    </xsl:template>
    
    <xsl:template name="prvyFarebnyRiadok">
        <div id="prvy_riadok" style="width: 100%; height: 30px;">
                <div class="blue-bg" style="float: left; width: 48px; height:100%;"/>
                <div class="vertical-3px"/>
                <div class="blue-bg" style="float: left; width: 195px;  height:100%;"/>
                <div class="vertical-3px"/>
                <div class="gray-bg" style="float: left; width: 627px;  height:100%;"/>
                <div class="vertical-3px"/>
                <div class="gray-bg" style="float: left; width: 144px; height:100%;"/>
            </div>
    </xsl:template>
    
    <xsl:template name="druhyFarebnyRiadok">
        <div id="druhy_riadok" style="width: 100%; height: 96px;">
            
            <xsl:call-template name="druhyRiadokLavaStrana"/>
                    
            <div id="title_and_menu" style="float: left; width: 525px; height:100%;">
                <!--title-->
                <div id="title" class="blue-bg">
                    
                    <xsl:call-template name="header_title"/>
                    
                </div>
                
                <!--space-->
                <div class="horizontal-3px" style="float:left;"/>
                
                <!--header-->
                <xsl:call-template name="header_menu"/>
                
            </div>
            
            <xsl:call-template name="druhyRiadokPravaStrana"/>
            
        </div>
    </xsl:template>
    
    <xsl:template name="druhyRiadokLavaStrana">
        <div id="sivy_okraj_lavy" class="gray-bg" style="float: left; width: 48px; height:100%;"/>
        <div class="vertical-3px"/>
        <div id="it4kt-logo" style="float: left; width: 195px; height:100%;">
            <img src="style/logo/it4kt-logo.png" style="margin-top:13px;margin-bottom:13px;"/>
        </div>
        <div class="vertical-3px"/>
    </xsl:template>
    
    <xsl:template name="druhyRiadokPravaStrana">
        <div class="vertical-3px"/>
        <div id="vv-logo" style="float: left; width: 96px; height:100%; text-align:center;">
            <img src="style/logo/vv-logo.png" style="margin-top:10px;margin-bottom:9px;"/>
        </div>
        <div class="vertical-3px"/>
        <div id="eu-logo" style="float: left; width: 96px; height:100%;">
            <img src="style/logo/eu-logo.png" style="margin-top:5px;margin-bottom:5px;"/>
        </div>
        <div class="vertical-3px"/>
        <div id="sivy_okraj_pravy" class="gray-bg" style="float: left; width: 48px; height:100%;"/>
    </xsl:template>
    
    <xsl:template name="tretiFarebnyRiadok">
        <div style="width: 100%; height: 30px;">
            <div class="gray-bg" style="float: left; width: 246px; height:100%;"/>
            <div class="vertical-3px"/>
            <div id="nazov_cvicenia" class="blue-bg" style="float: left; width: 774px; height:100%;">
                <div class="title text-in-cube">
                    <xsl:call-template name="title"/>
                </div>
            </div>
        </div>
    </xsl:template>
    
    <xsl:template name="horizontalnaMedzera">
        <div class="horizontal-3px"/>
    </xsl:template>
    
<!--    TITLE-->
    <xsl:template name="title">
            <xsl:value-of select="/p:module/p:title"/>
    </xsl:template>

</xsl:stylesheet>
